/* DUView */

#import <Cocoa/Cocoa.h>

@interface DUView : NSView
{
  IBOutlet NSTextField *directoryNameDisplayer;
  
  char *root_name;
  struct FileNode *root_node;
  
  double x_scale,y_scale,prev_y_scale;
     
  NSFont *font;
  double font_asc,font_desc,font_off0;
  NSDictionary *font_attrs;

  NSColor *data_color,*rsrc_color,*padding_color;
}

- (id)initWithFrame:(NSRect)frame;
- (IBAction)open:(id)sender;
- (IBAction)setYZoom:(id)sender;

- (void)drawRect:(NSRect)rect;

- (void) handleSizeChange;
- (void) handleFontChange;

- (void)recursiveDraw:(struct FileNode*)fn
    x_base:(double) x_base
    y_base:(double) y_base
    y_min: (double) y_min 
    y_max: (double) y_max;



@end
